%define req_loudmouth_version 0.15

Summary: GNOME Jabber client
Name: gossip
Version: 0.7.2
Release: 1mdk
License: GPL
Group: Networking/Instant messaging
URL: http://www.imendio.com/projects/gossip/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: loudmouth-devel >= %{req_loudmouth_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libxslt-devel
BuildRequires: libglade2.0-devel
Prereq:	GConf2 >= 2.3.3

%description
Gossip aims at making Jabber easy to use and tries to give GNOME users a
real user friendly way of chatting with their friends.

%prep
%setup -q

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

# dbus support is experimental
%configure2_5x --disable-dbus

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Networking/Instant messaging"\
	icon="%{_datadir}/pixmaps/gossip.png"\
	title="Gossip"\
	longtitle="Jabber Instant Messaging" \
	startup_notify="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gossip.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then 
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gossip.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications
%{_datadir}/gossip
%{_menudir}/*
%{_datadir}/pixmaps/*


%changelog
* Wed Feb 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- Release 0.7.2

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-1mdk
- Release 0.7.1

* Sat Dec 27 2003 Abel Cheung <deaddog@deaddog.org> 0.6-2mdk
- Rebuild against new gnutls

* Tue Nov 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Rebuild with latest loudmouth

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4-1mdk
- Release 0.4

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3-1mdk
- First Mandrake package


